# Packmangroup: Multimedia
# Packmanpackagename: qdvdauthor
# Packman: Rainer Lay
# Packmandepends: dvdauthor lame libvorbis dvd-slideshow


Summary: 	QDVDAuthor, the GUI frontend for dvdauthor and other related tools.
Summary(de): 	QDVDAuthor ist eine GUI für dvdauthor und dvd-slideshow.
Name:         qdvdauthor
Version:      0.0.8
Release:      0.pm.0
Group: 		Applications/Multimedia
Copyright: GPL v2

Source0:        qdvdauthor-0.0.8.tar.bz2

BuildRoot: 	%{_tmppath}/buildroot-%{name}-%{version}
URL: 		http://qdvdauthor.sourceforge.net/
Packager:     	Rainer <rainer@links2linux.de>

%define qdvdauthor_dir %{name}-%{version}

BuildRequires: ImageMagick-devel
BuildRequires: ImageMagick-Magick++
BuildRequires: bzip2
BuildRequires: qt3-devel
BuildRequires: freetype2-devel
BuildRequires: libjpeg
BuildRequires: libtiff
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
BuildRequires:	libxine1-devel

Requires: ImageMagick
Requires: ImageMagick-Magick++
Requires: bzip2
Requires: dvdauthor
Requires: mjpegtools
Requires: freetype2
Requires: libjpeg
Requires: libpng
Requires: libtiff
Requires: libxml2
Requires: 	sox
Requires:	lame
Requires:	libvorbis

%if %suse_version == 920
Requires:	glibc >= 2.3.3
Requires:	libgcc >= 3.3.4
Requires:	libstdc++ >= 3.3.4
Requires:	libxine1 >= 1_rc6a
Requires:	qt3 >= 3.3.3
Requires:	xorg-x11-libs >= 6.8.1
Requires:	zlib >= 1.2.1
%endif

%description

QDVDAuthor is a gui frontend for using dvdauthor and dvd-slideshow scripts to easily 
build DVD menus and assemble the DVD VOB files. This package includes %{dvd_slideshow} 
in the installation.

%description -l de
QDVDAuthor ist eine GUI für dvdauthor und dvd-slideshow.

%prep
%setup -q
rm -f bin/dvdproject

%build
./configure --with-qt-lib=qt-mt --prefix=%_prefix --with-xine-lib --build-qplayer --build-qslideshow
cd %name
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
strip bin/*

mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%_datadir/applications

install -m 0755 bin/* 			$RPM_BUILD_ROOT/%_bindir
install -m 0644 qdvdauthor.png 		$RPM_BUILD_ROOT/%_datadir/pixmaps
install -m 0644 qdvdauthor.desktop 	$RPM_BUILD_ROOT/%_datadir/applications


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_bindir/qdvdauthor
%_bindir/qslideshow
%_bindir/qplayer
%_datadir/pixmaps/qdvdauthor.png
%_datadir/applications/qdvdauthor.desktop
%doc INSTALL README TODO COPYING CHANGELOG 


%changelog
* Sat Nov  6 2004  <rainer@links2linux.de> - <0.0.8>-<0.pm.0>
- first packman release

* Tue Mar 09 2004 D. Scott Barninger <barninger at fairfieldcomputers.com>
- updated dvd-slideshow to 0.5.4
- add dir2slideshow script & man page
- add gallery2slideshow man page
- add jigl2slideshow man page
- added sox to prerequisites (required by dvd-slideshow)
- removed redundant permissions attributes in files section (also bad form per Michael K. Johnson)
- added additional clean of build_root to top of install section
- removed clean of build_dir
* Tue Feb 17 2004 D. Scott Barninger <barninger at fairfieldcomputers.com>
- changed qt requirement to 3.1
- fixed location of description section; dependencies weren't working
* Sun Feb 15 2004 D. Scott Barninger <barninger at fairfieldcomputers.com>
- initial spec file
